Subject: Re: [PATCH] test-lib.sh: discover "git" in subdirs of "contrib/buildsystems/out"

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Thu, 01 Dec 2022 18:13:58 +0100

On Thu, Dec 01 2022, Phillip Wood wrote:

> On 01/12/2022 16:39, Ævar Arnfjörð Bjarmason wrote:
>> Fix a regression in [1] and discover git built by cmake in subdirs of
>> "contrib/buildsystems/out", in addition to the "out" directory itself.
>
> How do you propose to find the most recent build? There are different
> directories for different architectures and different directories for 
> debug and release builds.

I'm not proposing to do that, besides, if you built locally for
different architectures running the tests would just fail, wouldn't it?

> Hard coding the build directory is a bad idea and should be dropped.

I think it's a better idea to target the common case of a user building
& being able to run the tests form t/, rather than requiring
bootstrapping that process by running "ctest".

Did you test that case on v2.38.0 and/or master? I.e. is VS running that
ctest portion automatically?